Deployments.ai Docs
Brains

List visible Brains

GET /v1/brains · SDK listBrains · CLI deployments brain list

GET
/v1/brains

Requires brains:read.

Authorization

tenantJwt
headerAuthorizationBearer <token>

Tenant JWT carrying organization, project, and environment claims.

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100
status?string
Value in"active""archived""erasing"

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

BrainPageResponse

application/json
  1. response
items*array<>
nextCursor?|null
curl -X GET "https://example.com/v1/brains" \  -H "x-deployments-organization: string"
{  "items": [    {      "createdAt": "string",      "id": "string",      "kind": "company",      "name": "string",      "organizationId": "string",      "ownerPrincipalId": "string",      "ownershipGeneration": 0,      "schemaVersion": 0,      "sensitivity": "confidential",      "slug": "string",      "status": "active",      "updatedAt": "string",      "version": 0    }  ],  "nextCursor": "string"}